/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2019 Code Technology Studio
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
package org.dromara.jpom.func.system.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.jpom.db.TableName;
import org.dromara.jpom.model.BaseUserModifyDbModel;

/**
 * @author bwcx_jzy
 * @since 2023/8/19
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value = "CLUSTER_INFO", name = "集群信息")
@Data
public class ClusterInfoModel extends BaseUserModifyDbModel {
    /**
     * 集群Id
     */
    private String clusterId;
    /**
     * 集群名称
     */
    private String name;
    /**
     * 集群地址
     */
    private String url;
    /**
     * 集群关联的分组
     */
    private String linkGroup;
    /**
     * 最后心跳时间
     */
    private Long lastHeartbeat;
    /**
     * 主机名
     */
    private String localHostName;
    /**
     * jpom 版本
     */
    private String jpomVersion;
    /**
     * 集群地址状态消息
     */
    private String statusMsg;
}
