/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2019 Code Technology Studio
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
package org.dromara.jpom.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 带最后修改人字段 数据表实体
 *
 * @author bwcx_jzy
 * @since 2021/8/24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public abstract class BaseUserModifyDbModel extends BaseDbModel {
    /**
     * 修改人
     */
    private String modifyUser;
    /**
     * 创建人
     */
    private String createUser;

    @Override
    public String toString() {
        return super.toString();
    }

    public void setCreateUser(String createUser) {
        if (this.hasCreateUser()) {
            this.createUser = createUser;
        }
    }

    /**
     * 是否开启创建人字段
     *
     * @return true 开启
     */
    protected boolean hasCreateUser() {
        return false;
    }
}
